image: "google/cloud-sdk:latest"

before_script:
    - apt update && apt install -y python3-pip
    - pip3 install -r requirements.txt

collect:
    tags:
        - redteam-runner
    only:
        - schedules
        - web
    script:
        - gcloud auth activate-service-account --key-file "$KEY_FILE"
        - bash gather-data.sh
        - export GOOGLE_APPLICATION_CREDENTIALS="$KEY_FILE"
        - python3 gcp_k8s_enum.py --input ./k8s-data --bigquery "$PROJECT_ID"
    artifacts:
        paths:
            - ./*.csv
        expire_in: 1 week
